Page MenuHomePhabricator

Onboard David Caro to Wikimedia Foundation as SRE in Cloud Services
Open, MediumPublic

Description

Running Doc: https://www.mediawiki.org/wiki/Wikimedia_Cloud_Services_team/Onboarding_David

  • Backchannel
    • Add to WMCS Telegram group
    • Add to Technical Engagement Telegram group
  • Technical Engagement team shares
  • Calendar invites
    • Add to WMCS weekly meeting (@nskaggs)
    • Add to WMCS backlog grooming meeting (@nskaggs)
    • Add to Developer Advocacy weekly meeting (@nskaggs)
    • Add to SRE weekly meeting (@nskaggs)
  • Gerrit trusted groups
    • Add to toollabs-trusted group for operations/docker-images/toollabs-images
  • Cloud VPS
    • Make projectadmin in "admin" project
    • Make projectadmin in "tools" project
    • Make projectadmin in "toolsbeta" project
  • Toolforge
    • Request access to Toolforge project https://toolsadmin.wikimedia.org/tools/membership/apply
    • Make projectadmin for Tools project
    • sudo for Toolforge
    • Add as maintainer of "admin" Toolforge tool (tools.admin LDAP group)
    • Add as maintainer of "admin" Toolsbeta tool (toolsbeta.admin LDAP group)

Event Timeline

nskaggs created this task.Oct 20 2020, 8:18 PM
Restricted Application edited projects, added cloud-services-team (Kanban); removed cloud-services-team. · View Herald TranscriptOct 20 2020, 8:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
nskaggs updated the task description. (Show Details)Oct 20 2020, 8:20 PM
bd808 removed a subscriber: bd808.Oct 20 2020, 8:40 PM
Dcaroest claimed this task.Mon, Nov 2, 9:43 AM
dcaro claimed this task.Mon, Nov 2, 12:02 PM
dcaro removed a subscriber: Dcaroest.
dcaro updated the task description. (Show Details)Mon, Nov 2, 12:11 PM
dcaro updated the task description. (Show Details)
aborrero updated the task description. (Show Details)Mon, Nov 2, 1:12 PM
aborrero added a subscriber: aborrero.
aborrero triaged this task as Medium priority.Mon, Nov 2, 1:15 PM
aborrero updated the task description. (Show Details)
dcaro updated the task description. (Show Details)Mon, Nov 2, 1:26 PM
aborrero updated the task description. (Show Details)Mon, Nov 2, 1:31 PM

Mentioned in SAL (#wikimedia-cloud) [2020-11-02T13:35:20Z] <arturo> added dcar as projectadmin & user (T266068)

Mentioned in SAL (#wikimedia-cloud) [2020-11-02T13:35:31Z] <arturo> added dcar as projectadmin & user (T266068)

Mentioned in SAL (#wikimedia-cloud) [2020-11-02T13:35:41Z] <arturo> added dcaro as projectadmin & user (T266068)

aborrero updated the task description. (Show Details)Mon, Nov 2, 1:36 PM
aborrero updated the task description. (Show Details)
aborrero updated the task description. (Show Details)Mon, Nov 2, 1:38 PM
aborrero updated the task description. (Show Details)
aborrero updated the task description. (Show Details)Mon, Nov 2, 1:42 PM

Mentioned in SAL (#wikimedia-cloud) [2020-11-02T13:56:45Z] <arturo> added dcaro as maintainer (T266068)

dcaro updated the task description. (Show Details)Mon, Nov 2, 2:09 PM
aborrero updated the task description. (Show Details)Mon, Nov 2, 4:07 PM
dcaro updated the task description. (Show Details)Mon, Nov 2, 4:34 PM
Andrew updated the task description. (Show Details)Mon, Nov 2, 7:14 PM

Change 638601 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[labs/private@master] passwords: root-authorized-keys.erb: add dcaro CloudVPS-wide root key

https://gerrit.wikimedia.org/r/638601

Change 638601 merged by Arturo Borrero Gonzalez:
[labs/private@master] passwords: root-authorized-keys.erb: add dcaro CloudVPS-wide root key

https://gerrit.wikimedia.org/r/638601

Mentioned in SAL (#wikimedia-cloud) [2020-11-03T16:04:13Z] <arturo> add dcaro to the toolsbeta.admin LDAP group (T266068)

aborrero updated the task description. (Show Details)Tue, Nov 3, 4:05 PM
aborrero updated the task description. (Show Details)
aborrero updated the task description. (Show Details)Tue, Nov 10, 9:35 AM

Change 640351 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] [admin] Add dcaro home dir with base vimrc

https://gerrit.wikimedia.org/r/640351

Change 640351 merged by David Caro:
[operations/puppet@production] admin: Add dcaro home dir with base vimrc

https://gerrit.wikimedia.org/r/640351

aborrero updated the task description. (Show Details)Tue, Nov 10, 9:55 AM

Change 640354 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] nagios: Add dcaro to the contacts

https://gerrit.wikimedia.org/r/640354

Change 640354 merged by David Caro:
[operations/puppet@production] nagios: Add dcaro to the contacts

https://gerrit.wikimedia.org/r/640354

Change 640359 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] nagios.cgi: added dcaro to the allowed commands

https://gerrit.wikimedia.org/r/640359

dcaro updated the task description. (Show Details)Tue, Nov 10, 10:49 AM
dcaro updated the task description. (Show Details)Tue, Nov 10, 10:52 AM

Change 640359 merged by David Caro:
[operations/puppet@production] nagios.cgi: added dcaro to the allowed commands

https://gerrit.wikimedia.org/r/640359

dcaro updated the task description. (Show Details)Tue, Nov 10, 10:56 AM

Change 640388 had a related patch set uploaded (by David Caro; owner: David Caro):
[operations/puppet@production] nagios.cgi: add nskaggs to info auth groups

https://gerrit.wikimedia.org/r/640388

dcaro updated the task description. (Show Details)Tue, Nov 10, 11:58 AM
dcaro updated the task description. (Show Details)Tue, Nov 10, 2:01 PM
dcaro updated the task description. (Show Details)Tue, Nov 10, 2:34 PM
nskaggs updated the task description. (Show Details)Tue, Nov 17, 2:47 PM

Change 640388 merged by David Caro:
[operations/puppet@production] nagios.cgi: add nskaggs to info auth groups

https://gerrit.wikimedia.org/r/640388